Skip to content
Browse files

THis should fix the M2Crypto package for linux systems. It now has SW…

…IG package embedded within it.
  • Loading branch information...
1 parent 07b638a commit f0c1ad40d974660a447dbbb9a477149f67a290e8 @unwin unwin committed Dec 6, 2010
Showing with 6 additions and 3 deletions.
  1. +3 −1 README.txt
  2. +2 −1 requirements.txt
  3. +1 −1 setup.py
View
4 README.txt
@@ -60,11 +60,13 @@ to run.
Current dependencies include:
twisted, carrot, numpy, txamqp, msgpack-python, httplib2, pycassa, simplejson,
pydap, pydap.handlers.netcdf, pydap.responses.netcdf, pydap.handlers.nca,
- gviz_api.py, nimboss, txrabbitmq
+ gviz_api.py, nimboss, txrabbitmq, M2Crypto-patched
NOTE: As the project evolves and new code is added, dependencies might change.
Run the setup script once in a while and when you get errors
+*M2Crypto note: requires autoconf, automake, and g++ packages be installed prior.
+
Usage
=====
View
3 requirements.txt
@@ -1,7 +1,7 @@
--find-links=http://ooici.net/packages
Genshi==0.6
-M2Crypto==0.20.2
+M2Crypto-patched==0.20.2
Paste==1.7.5.1
PasteDeploy==1.3.4
PasteScript==1.7.3
@@ -37,3 +37,4 @@ txAMQP==0.3
txrabbitmq==0.3
wsgiref==0.1.2
zope.interface==3.6.1
+
View
2 setup.py
@@ -42,7 +42,7 @@
'pydap.handlers.netcdf','pydap.handlers.nca',
'pydap.responses.netcdf',
'msgpack-python','gviz_api.py',
- 'nimboss','txrabbitmq', 'Telephus', 'pyrods-irods>=2.4.2', 'M2Crypto']
+ 'nimboss','txrabbitmq', 'Telephus', 'pyrods-irods>=2.4.2', 'M2Crypto-patched']
setupdict['include_package_data'] = True
setup(**setupdict)

0 comments on commit f0c1ad4

Please sign in to comment.
Something went wrong with that request. Please try again.